<?php
set_time_limit(0);
require_once("/home/httpd/image.babosarang.co.kr/lib/userLib.inc.php");
require_once("/home/httpd/image.babosarang.co.kr/lib/weblog_class.php");
require_once("/home/httpd/image.babosarang.co.kr/product/gdResizeImage.lib.php");
require_once("/home/httpd/image.babosarang.co.kr/product/conf/img_size.php");

$MySQL = new MySQLDB();

$width = 500;
$height= 500;
$_size_ = 600;

define('_IMGSERVER_', '/home/httpd/image.babosarang.co.kr/product/detail/');
$imgArr = array(
		0 => array('_50.jpg','_75.jpg','_100.jpg','_120.jpg','_150.jpg','_200.jpg','_300.jpg','_360.jpg','_400.jpg','_500.jpg','_600.jpg','_1000.jpg'),
		1 => array('_401.jpg','_51.jpg','601.jpg','_1001.jpg'),
		2 => array('_402.jpg','_52.jpg','602.jpg','_1002.jpg'),
		3 => array('_403.jpg','_53.jpg','603.jpg','_1003.jpg'),
		4 => array('_404.jpg','_54.jpg','604.jpg','_1004.jpg'),
		5 => array('_405.jpg','_55.jpg','605.jpg','_1005.jpg'),
		6 => array('_406.jpg','_56.jpg','606.jpg','_1006.jpg'),
		7 => array('_407.jpg','_57.jpg','607.jpg','_1007.jpg'),
		8 => array('_408.jpg','_58.jpg','608.jpg','_1008.jpg'),
		9 => array('_409.jpg','_59.jpg','609.jpg','_1009.jpg')
	);

$_POST['CP_CODE'] = "BBL";
$_POST['product_img_dir'] = "1709062023119982";

$img_path = _IMGSERVER_ . $_POST['CP_CODE'] . "/" . $_POST['product_img_dir'] . "/";
@chmod($img_path, 0777);
@chown($img_path, 'www'); 
@chgrp($img_path, 'www');

foreach ($imgArr AS $key => $val)
{
	$orgImage = $img_path . "org_60" . $key . ".jpg";
	list($Width, $Height, $Type, $Attr) = @getimagesize($orgImage);
	if ($Width >= 600)
	{
		foreach ($val AS $k => $v)
		{
			#@chmod($img_path . $v, 0777);
			$targetName = $img_path . $v;
			if ($key == 0) $size = preg_replace('/[^0-9]/', '', $v);
			else $size = substr(preg_replace('/[^0-9]/', '', $v), 0, -1) . 0;

			product_imgcopy_test($orgImage, $targetName);
			checkImageSizeTest($img_path, $v, $size, $size);
			var_dump($orgImage, $targetName);
			var_dump($orgImage, $targetName, $size, $size);
			@chown($targetName, 'www'); 
			@chgrp($targetName, 'www');
		}
	}
}

function checkImageSizeTest($FilePath, $FileName, $nWidth, $nHeight)
{
	$Source = $FilePath.$FileName;
	list($Width, $Height, $Type, $Attr) = @getimagesize($Source);
	$rate_h = $Height/$nHeight;
	$rate_w = $Width/$nWidth;

	if ($Height < $nHeight || $Width < $nWidth)
	{
		if($Height <= $Width)
		{
			$resize_h = $Height/$rate_w; 
			$resize_w = $Width/$rate_w; 
		}
		else
		{
			$resize_h = $Height/$rate_h; 
			$resize_w = $Width/$rate_h; 
		}
	}
	else if ($Height > $nHeight || $Width > $nWidth)
	{
		if ($Height >= $Width)
		{
			$resize_h = $Height/$rate_h; 
			$resize_w = $Width/$rate_h; 
		}
		else
		{
			$resize_h = $Height/$rate_w; 
			$resize_w = $Width/$rate_w; 
		}
	}
	else
	{
		$resize_h = $nHeight; 
		$resize_w = $nWidth; 
	}
	$resize_h=floor($resize_h);
	$resize_w=floor($resize_w);

	if ($Width ==$nWidth && $Height ==$nHeight ) return;
	if ($Type !=1 && $Type != 2) return;
	
	@chmod($Source, 0777); //0666

	$cx = ceil($nWidth / 2) - ceil($resize_w / 2);
	$cy = ceil($nHeight / 2) - ceil($resize_h / 2);

	if ($Type == 1)
	{
		//== GIF
		$srcImage = @imagecreatefromgif($Source);
	}
	else
	{
		//== JPG
		$srcImage = @imagecreatefromjpeg($Source);
	}

	if (strpos($FileName,"600s") !== false)
	{
		$cx=0;$cy=0;$nWidth=$resize_w;$nHeight=$resize_h;
	}
	$bTrueColor = @imageistruecolor($srcImage);
	$img = @imagecreatetruecolor($nWidth, $nHeight); //== 

	$BGCOLOR	= @imagecolorallocate($img, 255, 255, 255);
	@imagefill($img, 0,0, $BGCOLOR);

	@imagecopyresampled($img, $srcImage, $cx, $cy, 0, 0, $resize_w, $resize_h, ImageSX($srcImage),ImageSY($srcImage));

	if ($Type == 1)
	{
		//== GIF
		@imagegif($img, $Source);
	}
	else
	{
		//== JPG
		@imagejpeg($img, $Source);
	}

	@imagedestroy($srcImage);
	@imagedestroy($img);
}


function product_imgcopy_test($path_file,$path_copyfile)
{
	$size = @getimagesize($path_file);

	switch ($size[2])
	{
		case 1 : //gif
			$im = @imagecreatefromgif($path_file);
			$result_save = @imagegif($im, $path_copyfile, 100);
			break;

		case 2 : //jpg
			$im = @imagecreatefromjpeg($path_file);
			$result_save = @imagejpeg($im, $path_copyfile, 100);
			break;

		case 3 : //png
			$im = @imagecreatefrompng($path_file);
			$result_save = @imagepng($im, $path_copyfile, 100);
			break;
	}
	@imagedestroy($im);

	if (is_file($path_copyfile))
	{
		$copyfile_url=$path_copyfile;
	}
	else
	{
		$copyfile_url="";
	}

	return $copyfile_url;
}

?>
