<?php /* vim: set shiftwidth=4 tabstop=4 syntax=php: */
/* @charset=euc-kr */
/* Dreamweaver ѱ   . */
/******************************************************************************
* ۾ : GD ̿ ̹  Լ
* ۾  : babosarang.co.kr (Web Developer Team) by Lee N.Thu ( Lee N.Thu <spolite@webis.com> )
* ۾  : 2006. 05. 06
* =====================================================================
* 泻 : ̹    ̹ ƴ 찡 
* ۾  : 2006.05.16
* Copyright(c) 2000. Webis.INC. all right reserved.
******************************************************************************/
if(defined('_INC_GD_RESIZE_IMAGE') == 'YES' ) return;
define('_INC_GD_RESIZE_IMAGE', 'YES');
function reSizeImage($FilePath,  $FileName, $DstName, $nWidth1, $nHeight1, $nWidth2, $nHeight2){
	$srcPath = $FilePath.$FileName;
	$dstPath = $FilePath.$DstName;

	list($Width, $Height, $Type, $Attr) = @getimagesize($srcPath);

	if($Type == 1) $srcImage = imagecreatefromgif($srcPath);
	else if($Type == 2) $srcImage = imagecreatefromjpeg($srcPath);
	else if($Type == 3) $srcImage = imagecreatefrompng($srcPath);
	else return;

	$bTrueColor = imageistruecolor($srcImage);

	$cx = ceil($nWidth1 / 2) - ceil($Width / 2);
	$cy = ceil($nHeight1 / 2) - ceil($Height / 2);

	//==  ̹ 
	$cpImg = imagecreatetruecolor($nWidth1, $nHeight1);
	$BGCOLOR	= imagecolorallocate($cpImg, 255, 255, 255);
	imagefill ($cpImg, 0,0, $BGCOLOR);

	//==  ̹ 
	imagecopyresampled($cpImg, $srcImage, $cx,$cy, 0, 0, $Width, $Height, $Width, $Height);


	$dstImg = imagecreatetruecolor($nWidth2, $nHeight2);
	$BGCOLOR	= imagecolorallocate($dstImg, 255, 255, 255);
	imagefill ($dstImg, 0,0, $BGCOLOR);

	imagecopyresampled($dstImg, $cpImg, 0, 0, 0, 0, $nWidth2, $nHeight2, $nWidth1, $nHeight1);

	if($Type == 1) imagegif($dstImg, $dstPath, 100);
	else if($Type == 2)  imagejpeg($dstImg, $dstPath, 100);
	else if($Type == 3)  imagepng($dstImg, $dstPath, 100);

	imagedestroy($srcImage);
	imagedestroy($cpImg);
	imagedestroy($dstImg);

	@chmod($dstPath, 0777); //0666
}

function checkImageSize($FilePath,  $FileName,$nWidth, $nHeight){
	$Source = $FilePath.$FileName;
	list($Width, $Height, $Type, $Attr) = @getimagesize($Source);

	if($Width ==$nWidth && $Height ==$nHeight ) return;
	if($Type !=1 && $Type != 2) return;
	
	@chmod($Source, 0777); //0666

	$cx = ceil($nWidth / 2) - ceil($Width / 2);
	$cy = ceil($nHeight / 2) - ceil($Height / 2);

	if($Type == 1){//== GIF
		$srcImage = imagecreatefromgif($Source);
	}else{ //== JPG
		$srcImage = imagecreatefromjpeg($Source);
	}

	//== üũ ũ ʺ ̸  ̹ 
	$bTrueColor = imageistruecolor($srcImage);
	$img = imagecreatetruecolor($nWidth, $nHeight); //== 

	$BGCOLOR	= imagecolorallocate($img, 255, 255, 255);
	imagefill($img, 0,0, $BGCOLOR); //==   ó

	//==  ̹  ̹ Ѵ.
	imagecopyresampled($img, $srcImage, $cx,$cy, 0, 0, $Width, $Height, $Width, $Height);

	if($Type == 1){//== GIF
		imagegif($img, $Source);
	}else{ //== JPG
		imagejpeg($img, $Source);
	}

	imagedestroy($srcImage);
	imagedestroy($img);
}

function reSizeImageByImageMagic ($FilePath,  $FileName, $DstName, $nWidth1, $nHeight1, $new_width, $new_height)
{
	$srcPath = $FilePath . $FileName;
	$dstPath = $FilePath . $DstName;
	//$dstPath = "$_SERVER[DOCUMENT_ROOT]/product/images/" . $DstName;

	if (!file_exists($srcPath)) return false;

	/*
	list($Width, $Height, $Type, $Attr) = @getimagesize($srcPath);
	switch ($Type)
	{
	case (1):
		    $Type = "gif";
	break;
	case (2):
		    $Type = "jpg";
	break;
	case (3):
		    $Type = "png";
	break;
	default :
		    return false;
	}
	*/
	list($width, $height, $Type, $Attr) = @getimagesize($srcPath);

	// $res_conv = `/usr/local/bin/convert $srcPath  -thumbnail {$new_width}x{$new_height} -sampling-factor 2x1 -auto-orient $dstPath`;
	$res_conv = `/usr/local/bin/convert -size {$width}x{$height} $srcPath -thumbnail '{$new_width}x{$new_height}' -background white -gravity center -extent {$new_width}x{$new_height} -sampling-factor 2x1 -auto-orient $dstPath`;
	print "/usr/local/bin/convert -size {$width}x{$height} $srcPath -thumbnail {$new_width}x{$new_height} -background white -gravity center -extent {$new_width}x{$new_height} -sampling-factor 2x1 -auto-orient $dstPath";

	error_log("$dstPath\n", 3, "img_chk_log/log_" . date("Y-m-d", time()) . ".txt");

	@chmod($dstPath, 0777); //0666
}
?>
